For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETQuery Resources
      • POSTCreate Resource
      • GETRetrieve Resource
      • PUTUpdate Resource
      • DELDelete Resource
      • POSTCreate Many Resources
      • GETResend Invite Email
      • GETGet Resource Avatar
LogoLogo
SupportContact salesStart free trial
API ReferenceResource

Delete Resource

DELETE
https://api.projectmanager.com/api/data/resources/:resourceId
DELETE
/api/data/resources/:resourceId
$curl -X DELETE https://api.projectmanager.com/api/data/resources/resourceId \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "initials": "string",
16 "name": "string",
17 "firstName": "string",
18 "lastName": "string",
19 "email": "string",
20 "hourlyRate": 1.1,
21 "phone": "string",
22 "city": "string",
23 "state": "string",
24 "country": "string",
25 "countryName": "string",
26 "notes": "string",
27 "approver": {
28 "id": "string",
29 "name": "string"
30 },
31 "teams": [
32 {
33 "id": "string",
34 "name": "string"
35 }
36 ],
37 "skills": [
38 {
39 "id": "string",
40 "name": "string",
41 "inUse": true
42 }
43 ],
44 "onlineDateTime": "2024-01-15T09:30:00Z",
45 "role": "string",
46 "isActive": true,
47 "createdDate": "2024-01-15T09:30:00Z",
48 "createdBy": "string",
49 "modifiedDate": "2024-01-15T09:30:00Z",
50 "modifiedBy": "string",
51 "colorName": "string",
52 "color": "string",
53 "avatarUrl": "string",
54 "language": "string",
55 "resourceTypeId": 1,
56 "defaultPlannedHours": 1.1,
57 "workingDays": {
58 "monday": 1.1,
59 "tuesday": 1.1,
60 "wednesday": 1.1,
61 "thursday": 1.1,
62 "friday": 1.1,
63 "saturday": 1.1,
64 "sunday": 1.1
65 }
66 }
67}
Deletes an existing Resource based on information you provide. A Resource represents a person, material, or tool used within your Projects. When you attach a Resources to more than one Task, the software will schedule the usage of your Resource so that it is not allocated to more than one Task at the same time. The users in your Workspace are also considered Resources. To invite a new User to your Workspace, create a new Resource for that user.
Was this page helpful?
Previous

Create Many Resources

Next
Built with
Deletes an existing Resource based on information you provide. A Resource represents a person, material, or tool used within your Projects. When you attach a Resources to more than one Task, the software will schedule the usage of your Resource so that it is not allocated to more than one Task at the same time. The users in your Workspace are also considered Resources. To invite a new User to your Workspace, create a new Resource for that user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resourceIdstringRequiredformat: "uuid"
The id of the resource

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
A Resource represents a person, material, or tool that is used within your Projects. When you attach a Resources to more than one Task, the software will schedule the usage of your Resource so that it is not allocated to more than one Task at the same time. The users in your Workspace are also considered Resources. To invite a new User to your Workspace, create a new Resource for that user.